Create an event
Important note: Shift-based schedules use the V3 API and are not compatible with V2 automations. To create automations for Shift-Based Schedules, you need to:
- Update your automations to use the V3 API for all new shift-based schedules
- Keep the V2 endpoint for your existing schedules
An upgrade tool for existing schedules is coming soon; your legacy schedules will keep working in the meantime. Learn more.
Create a new event that defines when and how users are on-call within a rotation.
Constraints:
- Maximum 5 events per rotation
- Events within a rotation cannot overlap
effective_sincemust be in the future (past values are clamped to now)- All users referenced in
assignment_strategy.membersmust exist and belong to the account
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the schedule.
The ID of the rotation.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
Create custom shifts POST
<!-- theme: info --> > **Important note:** Shift-based schedules use the V3 API and are not compatible with V2 automations. **To create automations for Shift-Based Schedules, you need to:** > > 1. **Update your automations** to use the V3 API for all new shift-based schedules > 2. **Keep the V2 endpoint** for your existing schedules > > An upgrade tool for existing schedules is coming soon; your legacy schedules will keep working in the meantime. [Learn more](https://support.pagerduty.com/main/docs/shift-based-schedules-api-upgrade-examples). Create one or more custom shifts for a schedule. Custom shifts are ad-hoc one-off coverage periods that exist outside of rotation events. Each custom shift requires exactly one assignment.
Create overrides POST
<!-- theme: info --> > **Important note:** Shift-based schedules use the V3 API and are not compatible with V2 automations. **To create automations for Shift-Based Schedules, you need to:** > > 1. **Update your automations** to use the V3 API for all new shift-based schedules > 2. **Keep the V2 endpoint** for your existing schedules > > An upgrade tool for existing schedules is coming soon; your legacy schedules will keep working in the meantime. [Learn more](https://support.pagerduty.com/main/docs/shift-based-schedules-api-upgrade-examples). Create one or more overrides for a schedule. An override temporarily replaces a scheduled on-call member with a different member for a specific time period. Each override must reference either a `rotation_id` or a `custom_shift_id` (not both). The overriding member must belong to the account. **Note:** The create response wraps the result in an `overrides` array. Single-resource endpoints (get, update) wrap in `override` (singular).